Bug 496801 - (CVE-2009-1191) CVE-2009-1191 httpd mod_proxy_ajp information disclosure
CVE-2009-1191 httpd mod_proxy_ajp information disclosure
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
reported=20090305,public=20090421,sou...
: Security
Depends On: 502580
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 05:07 EDT by Mark J. Cox
Modified: 2015-08-24 12:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-24 12:07:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1058 normal SHIPPED_LIVE Important: httpd security update 2009-05-20 14:30:43 EDT

  None (edit)
Description Mark J. Cox 2009-04-21 05:07:11 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-1191 to the following vulnerability:

mod_proxy_ajp in Apache httpd 2.2.11 allows remote attackers to obtain sensitive information via an arbitrary request from a HTTP client, in opportunistic circumstances involving a request from a different client that included a Content-Length header but no POST data.

This is similar to the issue CVE-2008-5519 in mod_jk

Prior to httpd 2.2.11 this was not an issue.  It was an issue
due to http://svn.apache.org/viewvc?view=rev&revision=711779

Patch will be applied to 2.2.12:
http://www.apache.org/dist/httpd/patches/apply_to_2.2.11/
Comment 2 Tushar Gandotra 2009-05-20 06:25:22 EDT
The patch is available for download from the following location:
https://support.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=873
Comment 3 errata-xmlrpc 2009-05-20 14:30:47 EDT
This issue has been addressed in following products:

  JBEWS 1.0.0 for RHEL 5
  JBEWS 1.0.0 for RHEL 4

Via RHSA-2009:1058 https://rhn.redhat.com/errata/RHSA-2009-1058.html

Note You need to log in before you can comment on or make changes to this bug.